﻿<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>Установка обработчика DOM Level 2</title>
    <style>
        div{
            -webkit-transition: all .7s;
            transition: all .7s;
        }
    </style>
    <script type="text/javascript">
        window.addEventListener('load', () => {
            

            // addEventListener(событие, обработичк, нужен_перехват_события)

            const btn1 = document.getElementById("button1");

         
                // Установка обработичка на событие click для кнопки с id button1
                btn1.addEventListener("click",
                    () => {
                        alert("Обработчик события нажатия кнопки");
                    },
                    false);
        });
        
    </script>
</head>

<body>
    <input id="button1" type="button" value="Кнопка" />
</body>

</html>